Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IDescriptor

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  IAdapterDescriptor, IApplicationViewDescriptor, IConnectionFactoryDescriptor, IDocumentDescriptor, IEventDescriptor, IPropertiedDescriptor, ISchemaDescriptor, IServiceDescriptor

public interface IDescriptor
extends Serializable

A base interface for all WLAI descriptors, providing for XML input/output and Serialize ability.

Method Summary
`void` | `fromXML(IDocument doc)` Extract the data for this descriptor from the given IDocument instance, replacing all contents of the current descriptor with the new data.
`void` | `fromXML(Reader reader)` Parse the XML from the given Reader into the currect descriptor, replacing all contents of the current descriptor with the new XML data.
`void` | `fromXML(String xml)` Parse the given XML into the currect descriptor, replacing all contents of the current descriptor with the new XML data.
`String` | `getDescription()` Return a description of the object that this descriptor represents and the service's intended use.
`String` | `getName()` Get the name of the object this descriptor represents.
`boolean` | `isReadOnly()` Returns true if the user is not authorized to modify this object.
`void` | `makeReadOnly()` Makes this object immutable
`void` | `setDescription(String description)` Set the description of the object that this descriptor represents and its intended use.
`void` | `setName(String name)` Set the name of the service this object represents.
`String` | `toXML()` Get an XML representation of this descriptor.
`void` | `toXML(IDocument doc)` Output an XML representation of this descriptor into an IDocument instance.
`void` | `toXML(Writer writer)` Write an XML representation of this descriptor to the given Writer.

Method Detail

### getName

    public String getName()

  Get the name of the object this descriptor represents.

  Returns:
    The name of the object this descriptor represents.

### setName

    public void setName(String name)
                 throws IllegalArgumentException

  Set the name of the service this object represents.

  Parameters:
    `name` - The name of the object this descriptor represents. Null is not allowed.
  Throws:
    `IllegalArgumentException` - If the name parameter is null.

### getDescription

    public String getDescription()

  Return a description of the object that this descriptor represents and the service's intended use.

  Returns:
    A description of this object and its intended use, or null if no description has been set.

### setDescription

    public void setDescription(String description)

  Set the description of the object that this descriptor represents and its intended use.

  Parameters:
    `description` - A description of the object that this descriptor represents and its intended use, or null if no description is known.

### toXML

    public String toXML()
                 throws DocumentException

  Get an XML representation of this descriptor.

  Returns:
    An XML string containing the data for this descriptor.
  Throws:
    `DocumentException` - If any error occurs while processing the XML for this descriptor.

### toXML

    public void toXML(Writer writer)
               throws DocumentException,
                      IOException

  Write an XML representation of this descriptor to the given Writer.

  Throws:
    `DocumentException` - If any error occurs while processing the XML for this descriptor.
    `IOException` - If an error occurs writing to the given Writer.

### toXML

    public void toXML(IDocument doc)
               throws DocumentException

  Output an XML representation of this descriptor into an IDocument instance.

  Parameters:
    `doc` - An IDocument instance to receive the data for this descriptor.
  Throws:
    `DocumentException` - If any error occurs while processing the XML for this descriptor.

### fromXML

    public void fromXML(String xml)
                 throws DocumentParseException,
                        DocumentException

  Parse the given XML into the currect descriptor, replacing all contents of the current descriptor with the new XML data.

  Throws:
    `DocumentParseException` - If any error occurs while parsing the XML for this descriptor.
    `DocumentException` - If any error occurs while processing the XML for this descriptor.

### fromXML

    public void fromXML(Reader reader)
                 throws DocumentParseException,
                        DocumentException,
                        IOException

  Parse the XML from the given Reader into the currect descriptor, replacing all contents of the current descriptor with the new XML data.

  Throws:
    `DocumentParseException` - If any error occurs while parsing the XML for this descriptor.
    `DocumentException` - If any error occurs while processing the XML for this descriptor.
    `IOException` - If an error occurs reading from the given Reader.

### fromXML

    public void fromXML(IDocument doc)
                 throws DocumentException

  Extract the data for this descriptor from the given IDocument instance, replacing all contents of the current descriptor with the new data.

  Parameters:
    `doc` - An IDocument instance from which the data for this descriptor will be extracted.
  Throws:
    `DocumentException` - If any error occurs while processing the XML for this descriptor.

### isReadOnly

    public boolean isReadOnly()

  Returns true if the user is not authorized to modify this object.

### makeReadOnly

    public void makeReadOnly()

  Makes this object immutable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD